Name:          maven-jaxb2-plugin
Version:       0.12.3
Release:       2%{?dist}
Summary:       Provides the capability to generate java sources from schemas
License:       BSD and ASL 2.0
URL:           http://java.net/projects/maven-jaxb2-plugin/pages/Home
Source0:       https://github.com/highsource/maven-jaxb2-plugin/archive/%{version}.tar.gz
# Don't try to use an internal bundled resolver, as this is not available in
# Fedora:
Patch0:        %{name}-0.12.3-dont-use-internal-resolver.patch
# Adapt for Maven 3:
Patch1:        %{name}-0.12.3-adapt-for-maven-3.patch
# Remove the enconding option as the version of the XJC compiler that we build
# in Fedora doesn't have it:
Patch2:        %{name}-0.12.3-remove-enconding-option.patch

BuildArch:     noarch
BuildRequires: java-headless
BuildRequires: maven-local
BuildRequires: xml-commons-resolver
BuildRequires: maven-enforcer-plugin
BuildRequires: junit
BuildRequires: glassfish-jaxb
BuildRequires: codemodel
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.slf4j:slf4j-api)


%description
This Maven 2 plugin wraps the JAXB 2.x XJC compiler and provides the capability
to generate Java sources from XML Schemas.

%package javadoc
Summary: API documentation for %{name}

%description javadoc
The API documentation of %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# Build only version 2.2
%pom_disable_module plugin-2.0
%pom_disable_module plugin
%pom_disable_module testing


# Add dependency on codemodel:
%pom_add_dep com.sun.codemodel:codemodel:2.6 plugin-2.2

sed -i "s|MavenProjectBuilder.ROLE|org.apache.maven.project.MavenProjectHelper.ROLE|" \
 plugin-2.1/src/test/java/org/jvnet/mjiip/v_2_1/JAXBGenerateTest.java

%if %{?fedora} <= 21
# use glassfish-jaxb >= 2.2.7
%pom_disable_module plugin-2.2
%mvn_file :maven-jaxb21-plugin %{name}
%else
# use glassfish-jaxb >= 2.1.14
%pom_disable_module plugin-2.1
%mvn_file :maven-jaxb22-plugin %{name}
%endif

%mvn_file :%{name}-core %{name}-core

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 0.12.3-1
- Update to 0.12.3
- introduce license macro

* Tue Jan 20 2015 gil cattaneo <puntogil@libero.it> 0.9.1-3
- rebuilt rhbz#1068387

* Tue Jan 20 2015 gil cattaneo <puntogil@libero.it> 0.9.1-2
- rebuilt rhbz#1068387

* Tue Jan 20 2015 gil cattaneo <puntogil@libero.it> 0.9.1-1
- Update to 0.9.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.8.1-12
- Use Requires: java-headless rebuild (#1067528)

* Mon Aug 05 2013 gil cattaneo <puntogil@libero.it> 0.8.1-11
- rebuilt rhbz#992193
- swith to Xmvn
- adapt to new guideline

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.8.1-8
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Jul 24 2012 Juan Hernandez <juan.hernandez@redhat.com> - 0.8.1-7
- Added maven-enforcer-plugin build time dependency

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 12 2012 Juan Hernandez <juan.hernandez@redhat.com> 0.8.1-5
- Added maven-anno-plugin to the runtime requirements

* Mon Mar 12 2012 Juan Hernandez <juan.hernandez@redhat.com> 0.8.1-4
- Fixed the license header as some files use ASL 2.0
- Changed the URL to a more reliable one

* Fri Mar 9 2012 Juan Hernandez <juan.hernandez@redhat.com> 0.8.1-3
- Added maven-surefire-provider-junit4 to the build requirements

* Wed Feb 22 2012 Juan Hernandez <juan.hernandez@redhat.com> 0.8.1-2
- Cleanup of the spec file

* Sat Jan 21 2012 Marek Goldmann <mgoldman@redhat.com> 0.8.1-2
- Initial packaging
